$signIn-btn-color-dark: rgb(40, 51, 73);
$signIn-step-background-color: rgb(42, 53, 73);
$signIn-btn-height: 50px;
$signIn-btn-width: 250px;
$signIn-btn-border-radius: 8px;
$signIn-btn-border-width: 2px;

$signIn-step2-qr-background: $primaryColor-light;
$signIn-step2-color-dark: rgb(83, 99, 131);

.signIn {
  &_step {
    padding: 15px;
    &-pretitle {
      text-align: center;
      margin-top: $marginLarge;
      margin-bottom: $marginMedium;
      text-transform: uppercase;
      font-size: .975rem;
      letter-spacing: 1.1px;
    }
    .signIn_wrapper {
      padding: $paddingLarge $paddingMedium*2;

      /*    border: 1px solid #3b4356;
          border-radius: 14px;
          margin-bottom: 15px;
          box-shadow: 0px 0px 10px 0px #0101014d;
          padding: $paddingMedium $paddingMedium*2*/
    }
  }
  &_title {
    background-color: $signIn-step-background-color;
    text-align: center;
    color: rgb(0, 186, 195);
    text-transform: uppercase;
    font-size: .875rem;
    //position: absolute;
    width: 100%;
    top: 60px;
    z-index: 0;
    &-sticky {
      top: 10px;
    }
    & + div {
      padding-top: 37px;
      &.signIn_wrapper {
        padding-top: 67px;
      }
    }
    & > .container-plain {
      position: relative;
      &-pin {
        color: #a6a5a5;
        text-transform: initial;
      }
    }
    .container-plain-pin {
      &-info {
        max-height: 20px;
        position: absolute;
        right: 15px;
        top: calc(50% - 10px);
      }
    }
    &-back {
      position: absolute;
      left: $paddingDefault;
      top: 11px;
    }
    &-next {
      position: absolute;
      right: $paddingDefault;
      top: 11px;
    }
    &-disabled {
      color: $fontColor-primary;
    }
  }
  &_wrapper {
    padding: $paddingDefault * 2;
    /*
    @deprecated - replaced
     */
    &-card {
      border: 1px solid #3b4356;
      border-radius: 14px;
      margin-bottom: 15px;
      box-shadow: 0px 0px 10px 0px #0101014d;
      overflow: hidden;
    }
    /**
    @deprecated - replaced
     */
    &-step {
      background: linear-gradient($darkCommonColor 0%, rgb(42, 53, 73) 200px);
    }
  }
  &-hr {
    margin-bottom: $marginDefault;
  }
  &-divider {
    background-color: rgb(99, 105, 120);
    height: 1px;
    flex: 1;
    &-text {
      padding: 0px $paddingDefault;
    }
  }
  &_inner {
    width: 100%;
    position: relative;
    &-point {
      position: absolute;
      left: -23px;
      top: 3px;
      width: 10px;
      height: 10px;
      border-radius: 50%;
      background-color: #00bdc5;
      display: -webkit-box;
      display: flex;
      -webkit-box-align: center;
      align-items: center;
      -webkit-box-pack: center;
      justify-content: center;
      color: #151e2e;
      font-size: .875rem;
      &-green {
        background-color: #36d253;
      }
      &-orange {
        background-color: #fea911;
      }
    }
    &-full {
      max-width: 100%;
      padding: 0px;
      .signIn_inner-title {
        //max-width: 250px;
        padding: 0px 60px;
        margin: auto;
        .signIn_inner-collapse-btn {
          left: 20px;
        }
      }
      .signIn-hr {
        max-width: 250px;
        margin: auto;
      }
    }
    &-padding {
      padding: $paddingLarge 0px;
    }
    &-title {
      margin-bottom: $marginDefault;
      text-transform: uppercase;
      font-weight: 500;
      position: relative;
    }
    &-collapse {
      transition: .2s height ease-out;
      &-btn {
        position: absolute;
        left: -40px;
        top: -2px;
        width: 26px;
        height: 26px;
        border-radius: 50%;
        background-color: $accentColorSecond;
        display: flex;
        align-items: center;
        justify-content: center;
        color: $darkCommonColor;
        font-size: .875rem;
      }
    }
    &-checkboxWrapper {
      color: rgb(167, 182, 211);
      font-size: .765rem;
      padding: 0px 15px;
      line-height: 1.4;
      .checkbox {
        margin-bottom: $marginMini;
        &.is-checked {
          .checkbox_inner {
            border-color: #36d253;
            &:after {
              border-color: #36d253;
            }
          }
        }
      }
    }
    &-description {
      color: rgb(167, 182, 211);
      font-size: .775rem;
      line-height: 1.7;
      list-style-type: decimal;
      &.ul {
        padding-left: 15px;
      }
    }
    &-body {
      font-size: .875rem;
      &-qr {
        max-width: 200px;
        position: absolute;
        margin: auto;
        left: 0px;
        right: 0px;
      }
      .step3_part2 {
        &-qr-btn {
          position: absolute;
          margin: auto;
          top: calc(50% - 25px);
          z-index: 1;
          left: 0px;
          right: 0px;
          text-align: center;
        }
        &-backgrounds {
          position: relative;
          min-height: 300px;
          width: 100%;
          &-blur {
            position: absolute;
            bottom: 0px;
            left: 0px;
            width: 100%;
            height: 50px;
            background: linear-gradient(transparent, rgb(42, 53, 73));
          }
        }
        &-barscan {
          position: absolute;
          max-height: 100px;
        }
        &-qr {
          position: absolute;
          display: none;
        }
      }
      .mnemonics {
        display: flex;
        padding: $paddingLarge 0px;
        margin: $marginLarge 0px;
        border-top: 1px dashed rgb(55, 68, 96);
        border-bottom: 1px dashed rgb(55, 68, 96);
        &.no-border {
          border: 0px;
          margin: 0px;
        }
        &_col {
          flex: 1;
        }
        &_item {
          display: flex;
          margin-bottom: $marginMini/2;
          &-number {
            width: 20px;
            text-align: right;
            margin-right: $marginMini;
          }
          &-text {
            color: $accentColorSecond
          }
          &-input {
            width: 95px;
            background-color: rgb(33, 43, 60);
            border: 0px;
            outline: none;
            border-radius: 4px;
            padding: 2px $paddingMini;
            color: $accentColorSecond;
          }
        }
        &_newWords {
          text-transform: uppercase;
          color: $signIn-step2-color-dark;
        }
        &_qr {
          display: flex;
          flex-direction: column;
          align-items: center;
          padding: $paddingLarge 0px;
          &-img {
            margin: $marginDefault 0px;
            //max-width: 100px;
            img {
              width: 130px;
              height: 130px;
            }
          }
          &-title {
            color: rgb(75, 95, 132);
          }
        }
      }
    }
  }
}

.signIn {
  &-input {
    font-size: .875rem;
    height: $signIn-btn-height;
    width: $signIn-btn-width;
    background-color: transparent;
    border: 1px solid rgb(97, 103, 117);
    border-radius: $signIn-btn-border-radius;
    padding: $paddingMini $paddingDefault;
    color: rgb(255, 255, 255);
    outline: none;
    transition: all $transitionTime ease-out;
    /*&[disabled] {
      user-select: none;
      opacity: .6;
    }*/
    &.error {
      border-color: #ff3636;
    }
    &-wrapper {
      position: relative;
      margin-bottom: $marginDefault;
      display: flex;
    }
    &-btn {
      display: flex;
      align-items: center;
      position: absolute;
      right: 0px;
      height: 100%;
      width: 30px;
      &[disabled] {
        user-select: none;
        opacity: .6;
      }
      &:first-of-type {
        right: 30px;
      }
    }
    &-img {
      max-height: 20px;
    }
    /*    &-img {
          &:first-child {
            right: 20px;
          }
          position: absolute;
          max-height: 20px;
          right: 0px;
        }*/
  }

  &-warning {
    background-color: #1e293f;
    color: #a7b6d3;
    padding: 30px;
    font-size: .875rem;
    text-align: center;
    line-height: 1.4;
    &-title {
      color: #db4444;
      text-align: center;
      text-transform: uppercase;
    }
  }
  &-btn {
    font-size: .875rem;
    text-transform: uppercase;
    height: $signIn-btn-height;
    width: $signIn-btn-width;
    border-radius: $signIn-btn-border-radius;
    border: 0px;
    margin-bottom: $marginDefault;
    transition: all $transitionTime ease-out;
    position: relative;

    max-width: 100%;
    &-plain {
      transition: all $transitionTime ease-out;
      width: $signIn-btn-width * 0.6;
      margin: 0px $marginMini;
      background-color: transparent;
      font-size: .875rem;
      &.signIn-btn-transparent {
        border: 2px solid rgb(0, 186, 195);
        color: rgb(0, 186, 195);
        .signIn-btn-inner {
          justify-content: center;
        }
      }
      &.signIn-btn.disabled {
        background-color: transparent;
        border: 2px solid #505b71;
        .signIn-btn-text {
          color: #3e495f;
        }
        img {
          opacity: .1;
        }
      }
      &:hover {
        border-color: transparent;
        background-color: rgb(0, 186, 195);
        color: #283349;
      }
      &.disabled {
        background-color: transparent;
        color: #3e495f;
        border: 2px solid #505b71;
      }
    }
    &-append {
      position: absolute;
      right: 15px;
      img {
        max-height: 10px;
      }
    }
    &-big {
      width: $signIn-btn-width + 50px;
      max-width: 300px;
    }
    &-small {
      width: $signIn-btn-width - 50px;
      max-width: 300px;
      height: 40px;
    }
    &-default {
      background-color: rgb(0, 186, 195);
      color: $signIn-btn-color-dark;
      .signIn-btn-inner {
        justify-content: center;
      }
    }
    &.disabled {
      background-color: #505b71;
      color: #1e293f;
      .signIn-btn-inner {
        justify-content: center;
      }
    }
    &-transparent {
      background-color: transparent;
      color: rgb(255, 255, 255);
      border: 1px solid $btn-border-color;
    }
    &-scatter {
      background-color: rgb(74, 167, 193);
      padding: $signIn-btn-border-width;
      color: rgb(255, 255, 255);
      .signIn-btn-inner {
        background-color: rgb(40, 51, 73);
        height: 100%;
        border-radius: $signIn-btn-border-radius;
      }
    }
    &-lynx {
      background: linear-gradient(90deg, rgb(201, 44, 70), rgb(159, 108, 165));
      background-color: rgb(201, 44, 70);
      padding: $signIn-btn-border-width;
      color: rgb(255, 255, 255);
      .signIn-btn-inner {
        background-color: rgb(40, 51, 73);
        height: 100%;
        border-radius: $signIn-btn-border-radius;
      }
    }
    &-qr {
      background-color: #31bb4d;
      padding: $signIn-btn-border-width;
      color: rgb(255, 255, 255);
      .signIn-btn {
        &-inner {
          background-color: rgb(40, 51, 73);
          height: 100%;
          border-radius: $signIn-btn-border-radius;
        }
        &-img {
          max-height: 35px;
          max-width: 100%;
        }
      }
    }
    &-inner {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 0px $paddingMini * 2;
    }
    &-text {
      flex:1;
    }
    &-img {
      max-height: 30px;
      &-wrapper {
        display: flex;
        width: 50%;
      }
    }
    &-key {
      white-space: pre-line;
      display: flex;
      flex-direction: column;
      justify-content: center;
      font-size: 10px;
      margin-left: 10px;
    }
    &_dark {
      height: $signIn-btn-height - 10;
      width: $signIn-btn-width - 50;
      border-radius: $signIn-btn-border-radius;
      border: 1px solid rgb(99, 105, 120);
      background-color: rgb(25, 34, 51);
      color: $accentColor;

      &[disabled] {
        opacity: .6;
      }
      &-big {
        height: $signIn-btn-height;
        width: $signIn-btn-width + 50px;
        max-width: 300px;
      }
      &-small {
        height: $signIn-btn-height - 10;
        width: $signIn-btn-width - 100px;
        max-width: 150px;
      }
      &-inner {
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: .775rem;
        img {
          max-height: 16px;
          margin-right: -12px;
          margin-left: 12px;
        }
      }
      &-text {
        width: 100%;
        text-transform: uppercase;
      }
    }
  }
}
